commit:     db1b9b6ce12d62a1c938922007f96c84ec61df5e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  5 22:30:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan  5 22:30:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db1b9b6c

sci-libs/superlu: revert "cleanup old (inc. EAPI 5)"

This reverts commit e270eb425de48158c086367aa66f28b6b636b506.
sci-libs/mc needs <sci-libs/superlu-5.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/superlu/Manifest                |  2 +
 sci-libs/superlu/superlu-4.3-r1.ebuild   | 74 ++++++++++++++++++++++++++++++++
 sci-libs/superlu/superlu-5.2.1-r1.ebuild | 69 +++++++++++++++++++++++++++++
 3 files changed, 145 insertions(+)

diff --git a/sci-libs/superlu/Manifest b/sci-libs/superlu/Manifest
index a0342b562bd..531452d54e5 100644
--- a/sci-libs/superlu/Manifest
+++ b/sci-libs/superlu/Manifest
@@ -1 +1,3 @@
+DIST superlu_4.3.tar.gz 2876631 BLAKE2B 
0a563e6730394f8e69fe13f1418f9f046bd37c848c51063e93a24a209e50a67f91b725eb3978fd6c4d28e51615806d6c0b6a2539cbc0d7fd11b5e4f0a9360148
 SHA512 
5c13da47b79160be14719f62ccdf5d59142a172e25a988fa340eaeb001a64d7f45ba39e675cb7aa3571bec52cb3a7cda0bb7a708c9608184ba6251edb7990e8c
+DIST superlu_5.2.1.tar.gz 2560875 BLAKE2B 
b1dd51bddb55061f5756f3cf766f80e506f7cc12b272c2ceebbae71cab9314000308b72cf265d5948ed69c68d0ad0adeb938a4471250147b0fcfdc2b80298db7
 SHA512 
30538b4c2809294b8f34646bce6445944f21a1dffaf3ec0a0f29a55d5261caa56e4279d7722bb95cc9d89450d36ded969617edc82ecce7d0f1dfb24040d80d07
 DIST superlu_5.2.2.tar.gz 2481538 BLAKE2B 
db9d6437c8012f1aeeb3313212298a77e4ef04405c6ec853ceeef8b80426ea80d8b9fc30a0ca2dd7288131a0e21c43e17cafafaa7fb615d6d825b54f4beb84a2
 SHA512 
091928a3df3433b337ebdacdb28de341d6d29d655965de6ffd656a6de18cf11171555bfd3af73082af62b1cead6835b4c11e4ba524a32db7f7d28db47c9d490c

diff --git a/sci-libs/superlu/superlu-4.3-r1.ebuild 
b/sci-libs/superlu/superlu-4.3-r1.ebuild
new file mode 100644
index 00000000000..1c9edf1a9d4
--- /dev/null
+++ b/sci-libs/superlu/superlu-4.3-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils fortran-2 toolchain-funcs multilib
+
+MY_PN=SuperLU
+
+DESCRIPTION="Sparse LU factorization library"
+HOMEPAGE="https://crd-legacy.lbl.gov/~xiaoye/SuperLU/";
+SRC_URI="https://crd-legacy.lbl.gov/~xiaoye/SuperLU/${PN}_${PV}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       virtual/blas"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       test? ( app-shells/tcsh )"
+
+S="${WORKDIR}/${MY_PN}_${PV}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-autotools.patch
+       "${FILESDIR}"/${P}-format-security.patch
+       )
+
+src_prepare() {
+       unset VERBOSE
+       sed \
+               -e "s:= ar:= $(tc-getAR):g" \
+               -e "s:= ranlib:= $(tc-getRANLIB):g" \
+               -i make.inc || die
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=( --with-blas="$($(tc-getPKG_CONFIG) --libs blas)" )
+       autotools-utils_src_configure
+       rm EXAMPLE/*itersol1 || die
+}
+
+src_test() {
+       cd "${BUILD_DIR}"/TESTING
+       emake -j1 \
+               CC="$(tc-getCC)" \
+               FORTRAN="$(tc-getFC)" \
+               LOADER="$(tc-getCC)" \
+               CFLAGS="${CFLAGS}" \
+               FFLAGS="${FFLAGS}" \
+               LOADOPTS="${LDFLAGS}" \
+               BLASLIB="$($(tc-getPKG_CONFIG) --libs blas)" \
+               SUPERLULIB="${S}/SRC/.libs/libsuperlu$(get_libname)" \
+               LD_LIBRARY_PATH="${S}/SRC/.libs" \
+               DYLD_LIBRARY_PATH="${S}/SRC/.libs"
+}
+
+src_install() {
+       autotools-utils_src_install
+       use doc && dodoc DOC/ug.pdf && dohtml DOC/html/*
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins -r EXAMPLE FORTRAN
+       fi
+}

diff --git a/sci-libs/superlu/superlu-5.2.1-r1.ebuild 
b/sci-libs/superlu/superlu-5.2.1-r1.ebuild
new file mode 100644
index 00000000000..2f7f382cf88
--- /dev/null
+++ b/sci-libs/superlu/superlu-5.2.1-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FORTRAN_STANDARD=77
+
+inherit cmake-utils fortran-2
+
+MY_PN=SuperLU
+
+if [[ ${PV} != *9999* ]]; then
+       inherit versionator
+       SRC_URI="https://crd-legacy.lbl.gov/~xiaoye/SuperLU//${PN}_${PV}.tar.gz";
+       KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~sparc x86 
~amd64-linux ~x86-linux"
+       SLOT="0/$(get_major_version)"
+       S="${WORKDIR}/SuperLU_${PV}"
+else
+       inherit git-r3
+       GIT_ECLASS="git-r3"
+       EGIT_REPO_URI="https://github.com/xiaoyeli/${PN}";
+       SLOT="0/9999"
+       KEYWORDS="amd64 ~arm64 ~hppa ~ia64 ppc64 ~sparc x86"
+fi
+
+DESCRIPTION="Sparse LU factorization library"
+HOMEPAGE="https://crd-legacy.lbl.gov/~xiaoye/SuperLU/";
+LICENSE="BSD"
+
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="virtual/blas"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       test? ( app-shells/tcsh )"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-no-implicits.patch
+       "${FILESDIR}"/${P}-pkgconfig.patch
+)
+
+S="${WORKDIR}/${MY_PN}_${PV}"
+
+src_prepare() {
+       cmake-utils_src_prepare
+       # respect user's CFLAGS
+       sed -i -e 's/O3//' CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs+=(
+               -DCMAKE_INSTALL_INCLUDEDIR="include/superlu"
+               -DBUILD_SHARED_LIBS=ON
+               -Denable_blaslib=OFF
+               -Denable_tests=$(usex test)
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       use doc && dodoc -r DOC/html
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins -r EXAMPLE FORTRAN
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to